<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Activity 2: SE Code of Ethics</title>
</head>
<body>

<h1>Software Engineering Code of Ethics and Professional Practice</h1>
<p><b>IEEE-CS/ACM Joint task Force on Software Engineering Ethics and Professional Practice</b></p>

<p><b>Keywords:</b>code of ethics, professional responsibility, software engineering</p>


<p><b>PREAMBLE</b></p>
<p>The short version of the code summarizes aspirations at a high level of the abstraction; the clauses that are
included in the full version give examples and details of how these aspirations change the way we act as
software engineering professionals. Without the aspirations, the details can become legalistic and tedious;without the details, the aspirations can become high sounding but empty; together, the aspirations and the details form a cohesive code.</p>

<p>Software engineers shall commit themselves to making the analysis, specification, design, development,
testing and maintenance of software a beneficial and respected profession. In accordance with their
commitment to the health, safety and welfare of the public, software engineers shall adhere to the following
eight Principles:</p>

<p><b>PRINCIPLES</b></p>
<p><i>1. Public</i> - Software engineers shall act consistently with the public interest.</p>
<p><i>2. Client and Employer </i>- Software engineers shall act in a manner that is in the best interests of their client and employer consistent with the public interest.</p>
<p><i>3. Product</i>- Software engineers shall ensure that their products and related modifications meet the
highest professional standards possible</p>
<p><i>4. Judgment </i>- Software engineers shall maintain integrity and independence in their professional
judgment</p>
<p><i>5. Management </i>- Software engineering managers and leaders shall subscribe to and promote an ethical
approach to the management of software development and maintenance</p>
<p><i>6. Profession </i>- Software engineers shall advance the integrity and reputation of the profession
consistent with the public interest</p>
<p><i>7. Colleagues </i>- Software engineers shall be fair to and supportive of their colleagues</p>
<p><i>8. Self </i>- Software engineers shall participate in lifelong learning regarding the practice of their profession
and shall promote an ethical approach to the practice of the profession</p>

<br>
</html>